import App from './App'

// #ifndef VUE3
import Vue from 'vue'
Vue.config.productionTip = false
App.mpType = 'app'
import uView from '@/uni_modules/uview-ui'
import baseApi from '@/util/base.js'
import request from '@/util/request.js'
import utils from '@/util/util.js'
Vue.prototype.$api = baseApi
Vue.prototype.$request = request
Vue.prototype.$utils = utils
Vue.use(uView)
const app = new Vue({
	...App
})
app.$mount()
// #endif

// #ifdef VUE3
import {
	createSSRApp
} from 'vue'
export function createApp() {
	const app = createSSRApp(App)
	return {
		app
	}
}
// #endif
